/* * Stairway To Heaven - StairwayToHeaven.pov *
 * (c) Jukka Vuokko 8/1995 (email: jvuokko@hit.fi) *
 * Rendering: FasterThanPovray (FTPOV 2.1 for os/2) *
 options : +a0.1 +r4 +ulb +ubq -um2 +w640 +h480 *
 time : 26 hours *
 * options : +w640 +h480 * time : 3 hours */

 #version 2.0
 #include "colors.inc"
 #include "shapes.inc"
 #include "textures.inc"
 #include "stones.inc"
 #declare FoV_90 = 1.000046 /* * This slows rendering time very much, but
                               * I thing that shadows are smoother with this.
                               * (Especially at stairs) */
global_settings { #max_trace_level 20 }
    //global_settings { #max_trace_level 5 }/* * Sky with some clouds */
object
{
    sphere{ ,1}
    texture { Blue_Sky2 }
    scale finish {Luminous}
}
/* * light fog effect */
fog
{
    color White distance 35000
}

light_source
{
    color White
}
light_source { color White area_light ,,20,20 adaptive 1 jitter } camera { direction location look_at } /* * declare some textures */ #declare _stone = texture { T_Stone14 scale 2.4 finish {Phong_Shiny}} #declare _grip = texture { Brass_Metal } #declare _ball_texture = texture { Chrome_Metal } #declare _tile1_texture = texture {T_Stone6 scale 2 finish {Phong_Shiny}} #declare _tile2_texture = texture {T_Stone7 scale 2 finish {Phong_Shiny}} /* * ground */ plane { ,-.4 texture { pigment { color Gray10} } } /* * base step of stairs */ #declare _step= union { box { , } box { ,} } /* * base of railing */ #declare _rail= object { difference { box { , } object { box {,} rotate <-26.565,0,0> translate <-1,8,0> } } texture { _stone } } /* * stairlanding */ #declare _plane = union { box { , } box { ,} texture { _stone } } /* * railing at stairlanding */ #declare _railplane = box { , texture { _stone } } /* * vertical metalbar of railing */ #declare _pole = union{ cylinder { ,,.5 texture { _grip } } /* include small ball too */ sphere { ,1 texture { _grip } } } /* * small ball which is used on metalbar above railing, * at beginnig of stairlanding */ #declare _ball = sphere { ,1 texture { _ball_texture } } /* * metalbar above railing */ #declare _bar = union { cylinder { ,,.7 rotate x*(-26.565) texture { _grip } } object { _pole translate } object { _pole translate } object { _pole translate } object { _pole translate } object { _pole translate } object { _pole translate } } /* * metalbar at stairlanding */ #declare _barplane = union { cylinder { ,,.7 texture { _grip } } object { _pole translate } object { _pole translate } object { _ball translate } } /* * support arm that is used for stoneball on the top of pole, * at start of stairs */ #declare _support= object { cylinder { ,,.1 } rotate x*(-20) translate texture { Chrome_Metal } } /* * pole at start of stairway */ #declare _downpole= union { cylinder { ,,2.5 } object { torus {2.5,1} translate } object { torus { 2.5,0.5 } translate } cylinder { ,,3.5 } union { /* stoneball at top of pole */ sphere { ,2.5 texture { PinkAlabaster scale 2.6 finish { Phong_Glossy} } } cylinder { ,,2.5 texture { Gold_Metal } } /* support arms */ object { _support translate } object { _support rotate translate } object { _support rotate translate } object { _support rotate translate } object { _support rotate translate } object { _support rotate translate } object { _support rotate translate } object { _support rotate translate } } texture { _stone } } /* * tile at ground, part 1 */ #declare _tile1= box { , } /* * tile at ground, part 2 */ #declare _tile2= box { , } /* * row of tiles (1) */ #declare _tilerow1= union { object { _tile1 translate } object { _tile1 translate } object { _tile1 translate } object { _tile1 translate } object { _tile1 translate } object { _tile1 translate } object { _tile1 translate } object { _tile1 translate } } /* * row of tiles (2) */ #declare _tilerow2= union { object { _tile2 translate } object { _tile2 translate } object { _tile2 translate } object { _tile2 translate } object { _tile2 translate } object { _tile2 translate } object { _tile2 translate } object { _tile2 translate } } /* * area full of first tiles */ #declare _tilearea1= union { object {_tilerow1 translate } object {_tilerow1 translate <-5.1,0,-5.1>} object {_tilerow1 translate } object {_tilerow1 translate <-5.1,0,-15.3>} object {_tilerow1 translate } object {_tilerow1 translate <-5.1,0,-25.5>} object {_tilerow1 translate } object {_tilerow1 translate <-5.1,0,-35.7>} object {_tilerow1 translate } object {_tilerow1 translate <-5.1,0,-45.9>} object {_tilerow1 translate } object {_tilerow1 translate <-5.1,0,-56.1>} object {_tilerow1 translate } object {_tilerow1 translate <-5.1,0,-66.3>} object {_tilerow1 translate } object {_tilerow1 translate <-5.1,0,-76.5>} texture {_tile1_texture} } /* * area full of second tiles */ #declare _tilearea2= union { object {_tilerow2 translate } object {_tilerow2 translate <-5.1,0,-5.1>} object {_tilerow2 translate } object {_tilerow2 translate <-5.1,0,-15.3>} object {_tilerow2 translate } object {_tilerow2 translate <-5.1,0,-25.5>} object {_tilerow2 translate } object {_tilerow2 translate <-5.1,0,-35.7>} object {_tilerow2 translate } object {_tilerow2 translate <-5.1,0,-45.9>} object {_tilerow2 translate } object {_tilerow2 translate <-5.1,0,-56.1>} object {_tilerow2 translate } object {_tilerow2 translate <-5.1,0,-66.3>} object {_tilerow2 translate } object {_tilerow2 translate <-5.1,0,-76.5>} texture {_tile2_texture} } /* * make final road, by putting both tile-areas together */ #declare _tilearea= union { object {_tilearea1 translate } object {_tilearea2 translate } } /* * stoneball above stone fence */ #declare _stoneball= sphere {,1.5 texture { PinkAlabaster finish {Phong_Glossy} } } /* * stonefence beside the road */ #declare _stonefence= union{ box { , texture { _stone } } /* metalbar throught balls */ cylinder { ,,.5 texture { _grip } } /* placing balls */ object {_stoneball translate } object {_stoneball translate } object {_stoneball translate } object {_stoneball translate } object {_stoneball translate } object {_stoneball translate } } /* * one pole for rail fence beside at roadside */ #declare _ironpole= union { cylinder {,,.3 texture { Gold_Metal} } cone { ,.5,,0 texture { Chrome_Metal} } } /* * larger part of poles, declared above */ #declare _polepart= union { object { _ironpole translate } object { _ironpole translate } object { _ironpole translate } object { _ironpole translate } object { _ironpole translate } object { _ironpole translate } object { _ironpole translate } object { _ironpole translate } object { _ironpole translate } object { _ironpole translate } object { _ironpole translate } object { _ironpole translate } } /* * complete rail fence (that is placed at roadside) */ #declare _ironfence= union{ /* horizontal bars */ cylinder { ,,.5 texture { Gold_Metal } } cylinder { ,,.5 texture { Gold_Metal } } /* vertical bars */ object { _polepart translate } object { _polepart translate } object { _polepart translate } } /* * large part of stairs, combination of 20 steps, * and one stairlanding */ #declare _stairs= union { union{ object { _step translate } object { _step translate } object { _step translate } object { _step translate } object { _step translate } object { _step translate } object { _step translate } object { _step translate } object { _step translate } object { _step translate } object { _step translate } object { _step translate } object { _step translate } object { _step translate } object { _step translate } object { _step translate } object { _step translate } object { _step translate } object { _step translate } object { _step translate } texture { _stone } } /* left railing */ object { _rail translate <-4,0,0> } object { _bar translate <-2,12,0> } object { _railplane translate <-4,40,80>} object { _barplane translate <-2,52,80>} /* stairlanding */ object { _plane translate } /* right railing */ object { _rail translate } object { _bar translate } object { _railplane translate } object { _barplane translate } } /* * placing all things */ /* road */ object { _tilearea translate <-10,0,0>} /* poles at start of stairs */ object { _downpole translate <-2,0,-2.5> } object { _downpole translate } /* fences */ object { _stonefence translate <-10,0,10> } object { _stonefence translate } object { _ironfence translate <-2,0,-4>} object { _ironfence translate } /* and enough stairs, that it looks like them */ /* are leading to infinity */ object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } object { _stairs translate } 
